Sonic Visualiser - Bug #1895
Windows build fails to open https locations
2019-05-22 09:16 AM - Chris Cannam

Status: Closed Start date: 2019-05-22
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Just tried opening an https:// URL in the 32-bit Windows build (v3.3) - it simply refused, saying immediately that the location could not
be opened, without apparently attempting any network traffic and with no record of the request in the log file.

History

#1 - 2019-12-11 08:37 AM - Chris Cannam

Seems to be also a problem in the 64-bit build (now? always?)

Apparently due to lack of SSL library redistributables. See notes at e.qg.

https://stackoverflow.com/questions/20351155/how-can-i-enable-ssl-in-qt-windows-application and docs for QSs|Socket.

#2 - 2019-12-11 08:37 AM - Chris Cannam
- Priority changed from Normal to High

#3 - 2020-01-14 01:22 PM - Chris Cannam
- Subject changed from 32-bit Windows build failed to open https location to Windows build fails to open https locations

#4 - 2020-04-14 02:07 PM - Chris Cannam

Fixed in commit:119588c42772

#5 - 2020-06-29 02:33 PM - Chris Cannam

- Status changed from New to Closed

2024-04-17 1/1



https:// URL
https://stackoverflow.com/questions/20351155/how-can-i-enable-ssl-in-qt-windows-application

